Groovy 1.7.10

## org.codehaus.groovy.antlr
[Java] Interface AntlrASTProcessor

    public interface AntlrASTProcessor

An interface for processing antlr AST objects

Authors:
  Jeremy Rayner

Version:
  \$Revision: 6778 \$

Method Summary
`AST` | `process(AST t)` performs some processing on the supplied AST node.

Method Detail

### process

    public AST process(AST t)

  performs some processing on the supplied AST node.
  Parameters:
    `t` - the AST node to process.
  Returns:
    possibly returns the AST modified or null, depends on the implementation.

Copyright © 2003-2010 The Codehaus. All rights reserved.